### Enumeration

# Gtk PrintStatus

#### Declaration

    enum Gtk.PrintStatus

#### Description [src]

The status gives a rough indication of the completion of a running print operation.

#### Members

Name | Description
--- | ---
`GTK_PRINT_STATUS_INITIAL` | The printing has not started yet; this status is set initially, and while the print dialog is shown.
`GTK_PRINT_STATUS_PREPARING` | This status is set while the begin-print signal is emitted and during pagination.
`GTK_PRINT_STATUS_GENERATING_DATA` | This status is set while the pages are being rendered.
`GTK_PRINT_STATUS_SENDING_DATA` | The print job is being sent off to the printer.
`GTK_PRINT_STATUS_PENDING` | The print job has been sent to the printer, but is not printed for some reason, e.g. the printer may be stopped.
`GTK_PRINT_STATUS_PENDING_ISSUE` | Some problem has occurred during printing, e.g. a paper jam.
`GTK_PRINT_STATUS_PRINTING` | The printer is processing the print job.
`GTK_PRINT_STATUS_FINISHED` | The printing has been completed successfully.
`GTK_PRINT_STATUS_FINISHED_ABORTED` | The printing has been aborted.